
QGIS Application - Bug report #13918

Curved placement re-orders Arabic text for labelling

2015-11-30 09:58 AM - Saber Razmjooei

Status: Open

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21940

Description

This is very similar to #6883

To reproduce:

1- Extract the zipped Spatialite and add it to QGIS

2- Add label for "name" column, use Parallel for placement, it is as expected.

3- Change the placement to Curved and the text is incorrect

History

#1 - 2015-11-30 10:44 PM - Nyall Dawson

- Status changed from Open to Feedback

What's the actual issue here? Is it that the text isn't rendered right-to-left? It's hard for a non-arabic speaker to know what's involved here.

#2 - 2015-11-30 11:30 PM - Saber Razmjooei

- Status changed from Feedback to Open

2 problems:

1- The Curved option, swaps the order of the text. In the parallel it is "Somewhere Street", and in the curved, it is: "TEERTS EREHWEMOS" 

2- It also capitalises all the letters (not really the right term in Arabic...but close)

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
#5 - 2019-04-23 12:29 PM - Saber Razmjooei

- Status changed from Closed to Open

- Description updated

- Affected QGIS version changed from master to 3.7(master)

This bug is still present in QGIS 3.7

Files

arabic_parallel.png 21 KB 2015-11-30 Saber Razmjooei

arabic_curved.PNG 24.8 KB 2015-11-30 Saber Razmjooei

roads.db 4.22 MB 2015-11-30 Saber Razmjooei
